package com.zd.laboratory.domain;

import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.validation.constraints.NotNull;

/**
 * 安全准入审批记录提交资料对象 lab_approval_detail
 *
 * @author liubo
 * @date 2021-09-10
 */
@ApiModel("安全准入审批记录提交资料")
public class LabApprovalDetail extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;

    /**
     * 审核id
     */
    private Long approvalId;

    /**
     * 材料名称
     */
    @Excel(name = "材料名称")
    @ApiModelProperty(value = "材料名称")
    @NotNull(message = "材料名称不能为空！")
    private String materialName;
    /**
     * 材料图片地址
     */
    @Excel(name = "材料图片地址")
    @ApiModelProperty(value = "材料图片地址")
    @NotNull(message = "材料不能为空！")
    private String materialUrl;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialUrl(String materialUrl) {
        this.materialUrl = materialUrl;
    }

    public String getMaterialUrl() {
        return materialUrl;
    }

    public Long getApprovalId() {
        return approvalId;
    }

    public void setApprovalId(Long approvalId) {
        this.approvalId = approvalId;
    }
}
